USB_DEVICE_INFO
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

USB_DEVICE_INFO — macro used to describe a class of usb devices

## Synopsis

`USB_DEVICE_INFO (` |  | cl,
|  | sc,
|  | pr`)`;

## Arguments

`cl`

  bDeviceClass value

`sc`

  bDeviceSubClass value

`pr`

  bDeviceProtocol value

## Description

This macro is used to create a struct usb_device_id that matches a specific class of devices.

Prev | Up | Next
USB_DEVICE_INTERFACE_PROTOCOL | Home | USB_INTERFACE_INFO